# Example imaging script for a data set with some ACA antennas but
# also up to 1.6 km baselines

os.system('rm -rf SgrB2_199_spw2_1260-1285_Methanol.clean*') 
tclean(vis='X5ce_Sgr_B2N.ms_FluxEqual_199',
	imagename='SgrB2_199_spw2_1260-1285_Methanol.clean', 
        spw='2',                          #
	field='Sgr_B2N',                  
	specmode='cube',            
        outframe='lsrk',
        restfreq='199.05GHz',
	start=1260,                       
        nchan=26,
	gridder='mosaic',               # Recommended for mixed antenna sizes
	imsize=800,
        pblimit=0.05,
        threshold='80mJy/beam',
        cell='0.04arcsec',
        weighting='briggs',             
        robust=0.5,                     # Suppresses sidelobes
	uvtaper='0.3arcsec',            # Mitigates effect of sparse long baselines
	niter=2000000,                     # NB this is nchan x (niter per chan)
	interactive=T)

# Make primary-beam corrected FITS images:
# cube methanol centred on tentative ID

imlist=['SgrB2_199_spw2_1260-1285_Methanol.clean']
for i in imlist:
    os.system('rm -rf '+i+'.pbcorr ' +i+'*fits')
    impbcor(imagename=i+'.image',
            pbimage=i+'.pb',
            outfile=i+'.pbcorr')
    exportfits(imagename=i+'.pbcorr',
               fitsimage=i+'.pbcorr.fits')
    exportfits(imagename=i+'.pb',
               fitsimage=i+'.pb.fits')
